Skip to content

Retrieve my Profile

Request

OAuth 2.0 scope:
  • okta.myAccount.profile.read

Retrieves the caller's Okta user profile, without attributes excluded by the Get my user profile schema

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/profile
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/profile \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
createdAtstring, (date-time)read-only

The timestamp of the creation of the caller's account

modifiedAtstring, (date-time)read-only

The timestamp of the last update to the caller's account

profileobject

The properties defined in the user profile schema

Response
{ "createdAt": "2020-01-14T20:05:32.000Z", "modifiedAt": "2020-01-14T20:05:32.000Z", "profile": { "customBoolean": false, "foo": "bar", "login": "example@ex.ample.com", "mobilePhone": "+1(555)555-5555", "customInteger": 42 }, "_links": { "self": {}, "describedBy": {} } }